Update Dedicated Cluster Info (V2)
Update the name or description of a dedicated cluster in the current project.
PATCH/v2/clusters/{CLUSTER_ID}
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
📘Notes
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
OrgIdstringheaderrequired
The organization ID of the cluster.
Example Value: org-xxxxxxxxxxxxxxxxxxx
CLUSTER_IDstringpathrequired
The ID of the dedicated cluster to update.
Example Value: inxx-xxxxxxxxxxxxxxx
Request Bodyapplication/json
clusterNamestring
The new name of the cluster. The value cannot be an empty string.
descriptionstring
The new description of the cluster. The value can be an empty string.
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "New Cluster Name",
"description": "This is the new description of the cluster."
}'
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "New Cluster Name"
}'
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Content-Type: application/json" \
-d '{
"description": ""
}'
Responses200 - application/json
codeinteger
Response code.
dataobject
Response payload.
clusterIdstring
ID of the cluster that has been modified.
promptstring
Prompt message returned.
Returns an error message.
codeinteger
Response code.
messagestring
Error message.
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "successfully submitted. Cluster is being upgraded, which is expected to take several minutes. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK."
}
}